/**
 * Analytics API v1 (OpenAPI: 3.0.1)
 *
 *
 * NOTE: This class is auto generated by openapi-typescript-client-api-generator.
 * Do not edit the file manually.
 */

import {ZoneRequest} from "./zoneRequest";
import {WorkerRequest} from "./workerRequest";
import {CoordRequest} from "./coordRequest";
import {SubContractorRequest} from "./subContractorRequest";

export class PositionRequest {
    public zone: ZoneRequest;

    public worker: WorkerRequest;

    public position: CoordRequest;

    public subContractor: SubContractorRequest;

    public unixTicks: number;

    public timeZone: string;

    /**
     * Creates a PositionRequest.
     *
     * @param {ZoneRequest} zone
     * @param {WorkerRequest} worker
     * @param {CoordRequest} position
     * @param {SubContractorRequest} subContractor
     * @param {number} unixTicks
     * @param {string} timeZone
     */
    constructor(zone: ZoneRequest, worker: WorkerRequest, position: CoordRequest, subContractor: SubContractorRequest, unixTicks: number, timeZone: string) {
        this.zone = zone;
        this.worker = worker;
        this.position = position;
        this.subContractor = subContractor;
        this.unixTicks = unixTicks;
        this.timeZone = timeZone;
    }
}